technology_enabled={}
technology_crate={}

if enable_guns then

technology_crate[1]={name="advanced-ammo-loading-1",icon=modname.."/graphics/technology/advanced-ammo-loading.png",
effects={
		{type = "unlock-recipe",recipe = "gatlingbelt-basic-crate"},
		{type = "unlock-recipe",recipe = "poison-bullet-magazine-crate"},
		{type = "unlock-recipe",recipe = "incendiary-bullet-magazine-crate"},
		{type = "unlock-recipe",recipe = "hollow-bullet-magazine-crate"},
		{type = "unlock-recipe",recipe = "explosive-bullet-magazine-crate"},
		{type = "unlock-recipe",recipe = "basic-bullet-magazine-crate"},
		{type = "unlock-recipe",recipe = "piercing-bullet-magazine-crate"},
		{type = "unlock-recipe",recipe = "shotgun-shell-crate"},
		{type = "unlock-recipe",recipe = "piercing-shotgun-shell-crate"},
		},
prereq={"bullet-damage-3","bullet-speed-3", "ballistics"},
ingredients={{"science-pack-1", 1},{"science-pack-2", 1}},
count=150,time_r=30,
order="e-c-b-b",
}

table.insert(technology_enabled, technology_crate[1])

technology_crate[2]={name="advanced-ammo-loading-2",icon=modname.."/graphics/technology/advanced-ammo-loading.png",
effects={
		{type = "unlock-recipe",recipe = "gatlingbelt-hollow-crate"},
		{type = "unlock-recipe",recipe = "gatlingbelt-poison-crate"},
		{type = "unlock-recipe",recipe = "gatlingbelt-fire-crate"},
		{type = "unlock-recipe",recipe = "gatlingbelt-biological-crate"},
		{type = "unlock-recipe",recipe = "biological-bullet-magazine-crate"},
		{type = "unlock-recipe",recipe = "basic-shotgun-slug-crate"},
		{type = "unlock-recipe",recipe = "explosive-shotgun-slug-crate"},
		{type = "unlock-recipe",recipe = "buckshot-shotgun-shell-crate"},
		{type = "unlock-recipe",recipe = "dragon-shotgun-shell-crate"},
		{type = "unlock-recipe",recipe = "biological-shotgun-slug-crate"},
		},
prereq={"bullet-damage-4","bullet-speed-4", "belt-fed-ammunition", "advanced-military-2", "advanced-ammo-loading-1"},
ingredients={{"science-pack-1", 1},{"science-pack-2", 1},{"science-pack-3", 1},{"alien-science-pack", 1}},
count=300,time_r=30,
order="e-c-b-b",
}

table.insert(technology_enabled, technology_crate[2])
end

technology_enabled[0]=#technology_enabled


local i
for i=1,technology_enabled[0] do
data:extend(
{
{
    type = "technology",
    name = technology_enabled[i].name,
    icon = technology_enabled[i].icon,
	icon_size = 128,
    effects = technology_enabled[i].effects,
    prerequisites = technology_enabled[i].prereq,
    unit =
    {
      count = technology_enabled[i].count,
      ingredients = technology_enabled[i].ingredients,
      time = technology_enabled[i].time_r
    },
    order = technology_enabled[i].order,
  },
}
)
end